Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Select text Value and convert to attribute block value

1 REPLY 1
SOLVED
Reply
Message 1 of 2
taitrongsong
205 Views, 1 Reply

Select text Value and convert to attribute block value

I have text object and block attribute, how select text and match value to attribute block quickly ? Tks all.

taitrongsong_0-1671785667539.png

 

1 REPLY 1
Message 2 of 2
ВeekeeCZ
in reply to: taitrongsong

(defun c:Text2Att ( / x a)
  (and (setq x (car (entsel "Text: " )))
       (setq a (car (entsel "Att: ")))
       (setpropertyvalue (entnext a) "TextString" (strcat "+" (getpropertyvalue x "TextString"))))
  (princ)
  )

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


AutoCAD Beta